######################################
## Systemic Coder
#
#  File: Goto.tcl
#  Author: Mick O'Donnell micko@wagsoft.com
#
#  Copyright: the author grants you a limited, nonexclusive, royalty-free 
#  right to reproduce and distribute this file; provided, however, that 
#  use of such software shall be subject to the terms and conditions of 
#  the Systemic Coder License Terms, a copy of which may be viewed at:
#  http://www.wagsoft.com/Coder/copyright.txt
#  This notice must not be removed from the software, and in the event
#  that the software is divided, it should be attached to every part.


proc goto-previous {} {
    global CURRENT TEXT_NODES NODE
    store-current-coding
    set indx [node-position $CURRENT]

    while { [incr indx -1] > -1 } {
	set id [nth-coding $indx]
	if { $NODE($id,ignore) == 0} {
	    install-coding $id
	    return 1
	}
    }
    bell
    return 0
}

proc goto-next-incomplete {} {
    goto-next ignore_complete
}

proc goto-next {{ignore_complete {}}} {

    store-current-coding
    install-next-coding $ignore_complete
}


proc goto-first {{ignore_complete {}}} {
    global CURRENT
    store-current-coding
    set CURRENT 0
    install-next-coding $ignore_complete
}

