global BUTTUP BUTTDN PICT_DIR BUTTON_FONT
set BUTTUP [image create photo -file [file join $PICT_DIR/button1.gif]]
set BUTTDN [image create photo -file [file join $PICT_DIR/button2.gif]]
set BUTTON_FONT [fetch-font "Comic Sans MS" 16]


proc DeselectToolBarButton {canvas} {
    global BUTTUP
    catch "$canvas delete o1"
    $canvas create image 3 3 -image $BUTTUP -anchor nw -tag o1
    $canvas raise text
    update
}

proc SelectToolBarButton {canvas} {
    global BUTTDN
    catch "$canvas delete o1"
    $canvas create image 3 3 -image $BUTTDN -anchor nw -tag o1
    $canvas raise text
    update
}


proc ToolbarItem {Tbar Text Msg Cmd {height 1}} {
    global ToolbarDir BG_COLOR2 BUTTON_FONT
    set Iname $Tbar.[label-to-name $Text]
    newButton $Iname $Text $Cmd  

    if { $ToolbarDir($Tbar) == "vertical" } {
	pack $Iname -side top -anchor n -fill x
    } else {
	pack $Iname -side left -anchor w 
    }

    # Set s a variable which can be displayed in a message display space
    if { $Msg != "" } {
	add-rollover-message $Iname $Msg
    }
    return $Iname
}


proc newButton {path text action} {
    global BUTTON_FONT BUTTUP BG_COLOR2

    if ![info exists BUTTON_FONT] {
	set BUTTON_FONT [fetch-font "Comic Sans MS" 16]
    }
    set strWidth [string-width $text $BUTTON_FONT]
    set strHeight [font-height $BUTTON_FONT]

    if [winfo exists $path] {destroy $path}

    # Make the canvas
    set width [image width $BUTTUP]
    set height [image height $BUTTUP]
    canvas $path -borderwidth 3 -width [expr $width + 5] -height [expr $height + 5]

    # Place the image
    set wgt [$path create image 3 3 -image $BUTTUP -anchor nw -tag o1]

    # Make the text
    set x [expr ($width + 8) / 2]
    set y [expr ($height + 3)/ 2]
    $path create text $x $y -fill brown -font $BUTTON_FONT -text $text -tag text
    bind $path <ButtonPress> "perfom-newButton-action $path \"$action\""


}

# tk_chooseColor -initialcolor $BG_COLOR1

proc perfom-newButton-action {path action} {
    global BG_COLOR1
    SelectToolBarButton $path

    if [catch "$action"] {
	BugReport "$action"
    }
}




