global TColor BUTTON_FONT

set TColor {#00c6c6 #0dffff #82ffff #bbffff}
set TColor {#b07300 #ce8600 #ffbc40 #FCD98E}
set BUTTON_FONT [fetch-font "Comic Sans MS" 16]


proc ToolbarItem {Tbar Text Msg Cmd {height 1}} {
    global ToolbarDir BG_COLOR2 BUTTON_FONT
    set Iname $Tbar.[label-to-name $Text]
    newButton2 $Iname $Text $Cmd  

    if { $ToolbarDir($Tbar) == "vertical" } {
	pack $Iname -side top -anchor n -fill x
    } else {
	pack $Iname -side left -anchor w 
    }

    # Set s a variable which can be displayed in a message display space
    if { $Msg != "" } {
	add-rollover-message $Iname $Msg
    }
    return $Iname
}

proc newButton2 {path text action} {
    global BUTTON_FONT TColor

    if ![info exists BUTTON_FONT] {
	set BUTTON_FONT [fetch-font "Comic Sans MS" 16]
    }
    set strWidth [string-width $text $BUTTON_FONT]
    set strHeight [font-height $BUTTON_FONT]

    if [winfo exists $path] {destroy $path}

    # Make the canvas
    canvas $path -borderwidth 3 -width [expr $strWidth + 16] -height [expr $strHeight + 20]

    # Make the elipse
    set elWidth [expr $strWidth + 18]
    set elHeight [expr $strHeight + 22]
    $path create oval 4 4 $elWidth $elHeight  -fill [lindex $TColor 1]  -outline [lindex $TColor 0] -width 2

    set x1 8
    set y1 7
    set x2 [expr $elWidth - 3]
    set y2 [expr $elHeight - 5]
    $path create oval $x1 $y1 $x2 $y2  -fill [lindex $TColor 3] -outline [lindex $TColor 2]  -width 3 -tag o1


    # Make the text
    $path create text 13 8 -fill white -font $BUTTON_FONT -text $text -anchor nw
    $path create text 12 7 -fill white -font $BUTTON_FONT -text $text -anchor nw
    set wgt [$path create text 11 6 -fill blue -font $BUTTON_FONT -text $text  -anchor nw]
    bind $path <ButtonPress> "perfom-newButton-action1 $path $elWidth $elHeight \"$action\""
}

# tk_chooseColor -initialcolor $BG_COLOR1

proc perfom-newButton-action1 {path elWidth elHeight action} {
    global BG_COLOR1
    $path itemconfig o1 -fill $BG_COLOR1
    update
    if [catch "$action"] {
	BugReport "action"
    }
    # catch "$path itemconfig o1 -fill #bbffff"
}


proc test {} {
    destroy .tmp
    toplevel .tmp 
    newButton2 .tmp.b1 "Parse" "tell-user 1"
    newButton2 .tmp.b2 "Scheme"  "tell-user 2"
    newButton2 .tmp.b3 "Text"  "tell-user 3"
    pack .tmp.b1 .tmp.b2 .tmp.b3
}



proc DeselectToolBarButton {button} {
    global TColor
    $button itemconfig o1 -fill [lindex $TColor 3]
}

proc SelectToolBarButton {button} {
    global TColor
    $button itemconfig o1 -fill [lindex $TColor 1]
}

