proc showpath {pid} {
    global PATH SP_ORDERED_FEATURES
    set SP_ORDERED_FEATURES [all-features]
    set wgt .pathwin$pid
    if [winfo exists $wgt] {destroy $wgt}
    toplevel $wgt
    TreeWidget $wgt.tree 
    pack $wgt.tree -expand t -fill both
    addsubpath $wgt.tree {} 0 $pid
}


proc addsubpath {wgt tpath idx pid} {
    global PATH SP_ORDERED_FEATURES
    TreeAdd $wgt $tpath $idx "Common: [intersection $SP_ORDERED_FEATURES $PATH($pid,definite)]"
    set tpath "$tpath/$idx"
    set count 1
    foreach indef $PATH($pid,indefs) {
	TreeAdd $wgt $tpath $count "Indefs Set $count:"
	set idx 0
	foreach pid2 $indef {
	    addsubpath $wgt "$tpath/$count" $idx $pid2
	    incr idx
	}
	incr count
    }
}


