######################################
## Systemic Coder
#
#  Author: Mick O'Donnell micko@wagsoft.com
#
#  Copyright: the author grants you a limited, nonexclusive, royalty-free 
#  right to reproduce and distribute this file; provided, however, that 
#  use of such software shall be subject to the terms and conditions of 
#  the Coder License Terms, a copy of which may be viewed at:
#  http://www.wagsoft.com/Coder/Copyright.html
#  This notice must not be removed from the software, and in the event
#  that the software is divided, it should be attached to every part.


proc help-button {path key} {
  global TINY_FONT BG_COLOR2
  button $path -text "Help" -command "help $key"\
             -width 3 -font $TINY_FONT  -bg $BG_COLOR2
  return $path
}


global HELPS

proc defhelp {key text} {
  global HELPS
  set HELPS($key) $text
}

proc help {key} {
    global HELPS
    if ![info exists HELPS($key)] {
	tell-user "No HELP for $key. Complain to implementer."
	return
    }
    scrolled-text-dialog .helpwin "Coder Help"  $HELPS($key) -height 16
}



