# Globals.tcl

# Sets up some globals vars

# Some vars loaded from preferences - set defaults in case no prefs file
global XINCR_DFLT YINCR_DFLT ZOOM GRAPH_DEPTH PLATFORM FHEIGHT_DFLT SHEIGHT_DFLT\
	RHEIGHT_DFLT XADJ YADJ GR_FONT_FAMILY

if ![info exists XINCR_DFLT] {set XINCR_DFLT 8 }
if ![info exists YINCR_DFLT] {set YINCR_DFLT 6}

set GRAPH_DEPTH all
set GR_FONT_FAMILY "Times"

switch -- $PLATFORM {
  windows {
      set FHEIGHT_DFLT 12
      set SHEIGHT_DFLT 8
      set RHEIGHT_DFLT 8
  }
  default {
      set FHEIGHT_DFLT 14
      set SHEIGHT_DFLT 10
      set RHEIGHT_DFLT 10
  }
}

global BUTTON_FONT BUTTON_FONT_BOLD

set BUTTON_FONT [font create -family "Arial" -size 12 -weight normal]
set BUTTON_FONT_BOLD [font create -family "Arial" -size 12 -weight bold]
